Subscription groups
List subscription templates
https://rcur.app/api/v2/subscription-templates
The templates subscriptions are made from. Put them in a subscription group to let a subscription switch between them.
Requires your API key as Authorization: Bearer <key>. See authentication.
Query parameters
-
pageintegerPage number for pagination
Default:
1
Responses
200 List of subscription templates object
-
dataarray of SubscriptionTemplates8 child attributes · SubscriptionTemplate
-
idstring required -
namestring requiredName of the template
-
descriptionstringDescription the subscriptions made from the template get
-
currencystring required -
group_idstring nullableThe subscription group the template is in
-
plan_namestring nullableName shown in the customer portal when switching
-
plan_descriptionstring nullableText shown in the customer portal when switching
-
rulesarray of SubscriptionRules required8 child attributes · SubscriptionRule
-
idstring required -
amountstring required -
currencystring requiredOne of
AEDAUDBGNBRLCADCHFCZKDKKEURGBPHKDHUFILSISKJPYMXNMYRNOKNZDPHPPLNRONSEKSGDTHBTWDUSDZAR -
intervalstring requiredOne of
dayweekmonthyear -
interval_amountinteger required -
dayinteger required -
timesinteger nullable -
times_doneinteger required
-
-
-
linksobject4 child attributes
-
firststring -
laststring -
prevstring nullable -
nextstring nullable
-
-
metaobject4 child attributes
-
current_pageinteger -
last_pageinteger -
per_pageinteger -
totalinteger
-